/* vim: set tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2007 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.sourceforge.metasearch.compass;

import java.util.Collection;

/**
 * Index Statistics Information
 *
 * @author Yomei Komiya
 *
 * @since 0.9.2
 * @version $Id: IndexStatisticsInfo.java 5 2007-06-28 13:28:30Z whitestar $
 */
public class IndexStatisticsInfo {

	/**
	 * Field Name List
	 */
	private Collection fieldNames = null;
	
	/**
	 * Number of Documents
	 */
	private int numDocs = 0;
	
	/**
	 * Version Number
	 */
	private long version;
	
	
	public IndexStatisticsInfo() {
		super();
	}

	
	public long getVersion() {
		return version;
	}

	
	public void setVersion(long version) {
		this.version = version;
	}


	public Collection getFieldNames() {
		return fieldNames;
	}


	public void setFieldNames(Collection fieldNames) {
		this.fieldNames = fieldNames;
	}

	
	public int getNumDocs() {
		return numDocs;
	}

	
	public void setNumDocs(int numDocs) {
		this.numDocs = numDocs;
	}
	
}
